#include <iostream>
#include <glut.h>
#include "glEasyDraw.h"

using namespace std;

glEasyDraw myDraw;

void Draw() 
{
    glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	glColor3f(1.0, 1.0, 1.0);
	{
		myDraw.Draw(rect, 1, 1, 1, 1);
	}
	glutSwapBuffers();
}

void Initialize() 
{
	glShadeModel(GL_SMOOTH);
	glClearColor(0.0, 0.0, 0.0, 0.0);
	glClearDepth(1);
	glEnable(GL_BLEND);
	glEnable(GL_DEPTH_TEST);
	glBlendFunc(GL_SRC_ALPHA,GL_ONE);
	glDepthFunc(GL_LEQUAL);
	glHint(GL_PERSPECTIVE_CORRECTION_HINT, GL_NICEST);
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glOrtho(0, 500, 0, 500, -500, 500);
}

void Timer(int iUnused)	//Alle Funktionen die rein sollen HIER rein!
{
	glutPostRedisplay();
	glutTimerFunc(1, Timer, 0);
}

int main(int iArgc, char** cppArgv) 
{
	glutInit(&iArgc, cppArgv);
	glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGB);
	glutInitWindowSize(500, 500);
	glutInitWindowPosition(200, 200);
	glutCreateWindow("MainWindow");
	Initialize();
	glutDisplayFunc(Draw);
	glutTimerFunc(1, Timer, 0);	//Timer repeatet n MS
	{
		myDraw.ChangeCoords(rect, 20, 20, 200, 200);
	}
	glutMainLoop();
	return 0;
}